//---------------------------------------------------------------------------

#ifndef CTondeuseH
#define CTondeuseH
//---------------------------------------------------------------------------

#include "CKiloutouMachine.h"
#include "vTondeuse.h"
#include <stdctrls.hpp>

class CTondeuse : public CKiloutouMachine
{
    private:
        double m_dVitesseMax;

    public:
        __fastcall CTondeuse(   const AnsiString &asNom,
                                const AnsiString &asDescription,
                                const double &dPrix,
                                const double &VMax,
                                const int &Numero_Materiel);
                                
        __fastcall CTondeuse( void );
        void __fastcall Affecter(const AnsiString &asNom,
                                 const AnsiString &asDescription,
                                 const double &dPrix,
                                 const double &VMax,
                                 const int &Numero_Materiel);

        bool __fastcall Ajouter( void );
        bool __fastcall Modifier( void );
        bool __fastcall Supprimer( void );

        AnsiString __fastcall GetLibelle( void );

    public:
        __property double     __fastcall VitesseMax = { read=m_dVitesseMax, write=m_dVitesseMax };
};

#endif
